<div class="row">
  <div class="col-md-12">
		<div class="ibox">
			<div class="ibox-content">
        <div class="row">
          <div class="col-lg-12">
            <button id="nueva-entrada-guardar-csv-btn" type="button" class="btn btn-primary"><i class="fa fa-save" style=""></i> Guardar entrada</button>
          </div>
          <div class="col-lg-12 full-height-scroll" style="margin-top:15px;height:500px;overflow-x:auto;">
            <?php $bad = false;$i=1;foreach($entradas as $entrada):?>
            <div class="col-md-12" style="margin-top:15px;">
              <h3 style="margin-bottom:5px;"><?php echo $entrada["nombre_proveedor"];?></h3>
              <?php 
                switch($entrada["documento"]):
                    case 0;$documento = "CCF";break;
                    case 1;$documento = "Factura";break;
                    case 2;$documento = "Nota de envio";break;
                    case 3;$documento = "Poliza";break;
                    default:$documento = "Desconocido";break;
                endswitch;
              ?>
              <span class="text-muted"> <strong>Documento:</strong> <?php echo $documento;?></span><br>
              <span class="text-muted"> <strong>Numero:</strong> <?php echo $entrada["num_documento"];?></span>
            </div>
            <div class="col-md-12">
              <table class="table table-hover">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Fecha</th>
                    <th>Ref</th>
                    <th>SKU</th>
                    <th>Producto</th>
                    <th>Cantidad</th>
                    <th>Costo</th>
                    <th>Precio</th>
                    <th>Retaceo</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach($entrada["productos"] as $producto):?>
                  <tr>
                    <th width="5%"><?php echo $i;?></th>
                    <th width="10%"><?php echo $producto["fecha"];?></th>
                    <th width="10%"><?php echo $producto["referencia"];?></th>
                    <td width="10%"><?php echo $producto["sku"];?></td>
                    <td width="25%"><?php echo utf8_decode($producto["descripcion"]);?></td>
                    <td width="5%"><?php echo $producto["cantidad"];?></td>
                    <td width="5%"></td>
                    <td width="5%">$<?php echo $producto["precio"];?></td>
                    <td width="15%"></td>
                    <td width="10%"class="text-center">
                      <?php 
                        switch($producto["estado"]):
                            case "Nuevo":
                              echo '<div class="label label-primary">Nuevo</div>';
                            break;
                            case "Existente":
                              echo '<div class="label label-info">Existente</div>';
                            break;
                            case "Duplicado":
                              $bad = true;
                              echo '<div class="label label-danger">Duplicado</div>';
                            break;
                            case "Incompleto":
                              //$bad = true;
                              echo '<div class="label label-warning">Incompleto</div>';
                            break;
                            case "Proveedor no encontrado":
                              //$bad = true;
                              echo '<div class="label label-danger">Proveedor no encontrado</div>';
                            break;
                            case "Fecha invalida":
                              $bad = true;
                              echo '<div class="label label-danger">Fecha invalida</div>';
                            break;
                            case "Precio distinto":
                              $bad = true;
                              echo '<div class="label label-danger">Precio distinto</div>';
                            break;
                        endswitch;
                      ?>
                    </td>
                  </tr>
                  <?php $i++;endforeach;?>
                </tbody>
              </table>
            </div>
            <?php endforeach;?>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  var entradas = <?php echo json_encode($entradas);?>;
  <?php
    if($bad):
  ?>
  $("#nueva-entrada-guardar-csv-btn").prop("disabled",true);
  toastr.options = {
    "closeButton": true,
    "progressBar": true,
    "positionClass": "toast-top-right"
  }
  toastr.error('Hay errores en su archivo CSV, corregir o no podran cargarse al Sistema');
  <?php
    endif;
  ?>
  $("#nueva-entrada-guardar-csv-btn").on("click",function(){
    swal({
				title: "Guardar Entrada",
				text: " &iquest;Desea guardar la entrada cargada desde CSV?",
				type: "warning",
				html: true,
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, guardar",
				cancelButtonText: "No",
				closeOnConfirm: true,
				closeOnCancel: true
			},
			function(isConfirm){
				if (isConfirm) {
          $.post( "<?php echo base_url();?>productos/guardar_csv_internet", { entradas: entradas,compra:<?php echo $id_compra;?> })
          .done(function( data ) {
            toastr.options = {
              "closeButton": true,
              "progressBar": true,
              "positionClass": "toast-top-right"
            }
            toastr.success('Entrada guardada exitosamente');
            $("#entradas-mode li:first a").click();
          });					
				}
			});
  });
</script>